## gcc-doc-defaults 2

=== debian/changelog ===
gcc-doc-defaults (5:2) unstable; urgency=low

  * Following change in gcc-defaults 1.73, make 4.3 the default gcc version
    for i386 and amd64. Closes: #487195.
  * Add Replaces: gcj (<< 4:4.3.1-2) to gcj, because of grmic.1 symlink
    conflict.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 29 Jun 2008 20:08:22 +0400

gcc-doc-defaults (5:1) unstable; urgency=low

  * Changed packaging to Architecture: any, since different architectures
    may have different default gcc versions in Debian.
  * Because of the above, changed versioning scheme and increased epoch.
  * Added gcj-doc package.
  * Removed treelang-doc package.

 -- Nikita V. Youshchenko <yoush@debian.org>  Wed,  4 Jun 2008 01:09:40 +0400

gcc-doc-defaults (4:4.2.3.nf1) unstable; urgency=low

  * Updated links to point to gcc-4.2-doc, cpp-4.2-doc, gfortran-4.2-doc,
    treelang-4.2-doc. Closes: #460015.
  * Added package gnat-doc that links to gnat-4.1-doc (which is the
    default versions now).
  * Use debian/compat instead of DH_COMPAT in debian/rules.
  * Removed Build-Depends: conent from Build-Depends-Indep.
  * Bumped Standards-Version to 3.7.3.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sat,  9 Feb 2008 23:36:59 +0300

gcc-doc-defaults (4:4.1.1.nf3) unstable; urgency=high

  * Added conflict against old version g++ package, because of file conflict.
    Closes: #403328
  * Urgency high because of RC bug fix.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sat, 16 Dec 2006 14:43:00 +0300

gcc-doc-defaults (4:4.1.1.nf2) unstable; urgency=low

  * Added preinst files that should remove doc symlinks from older doc
    packages.
  * Fixed copy-paste artefact in package descriptions.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 29 Sep 2006 15:16:42 +0400

gcc-doc-defaults (4:4.1.1.nf1) unstable; urgency=low

  * Initial release.
  * Version is numbered in such way to make transparent updates from
    previous gcc documentation packages.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 21 Sep 2006 00:06:56 +0400
