=== debian/rules ===
#!/usr/bin/make -f

DOC_VER_4.2 := 4.2.4.nf1-3
DOC_VER_4.3 := 4.3.0.nf1-1

BASES := cpp gcc gfortran gnat gcj
GENFILES := $(patsubst %,debian/%-doc.links, $(BASES))

ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
CPP_VER := 4.2
GCC_VER := 4.2
else
CPP_VER := 4.3
GCC_VER := 4.3
endif
GFORTRAN_VER := 4.3
GNAT_VER := 4.3
GCJ_VER := 4.3

CPP_DEP_VER := cpp-$(CPP_VER)-doc (>= $(DOC_VER_$(CPP_VER)))
GCC_DEP_VER := gcc-$(GCC_VER)-doc (>= $(DOC_VER_$(GCC_VER)))
GFORTRAN_DEP_VER := gfortran-$(GFORTRAN_VER)-doc (>= $(DOC_VER_$(GFORTRAN_VER)))
GNAT_DEP_VER := gnat-$(GNAT_VER)-doc (>= $(DOC_VER_$(GNAT_VER)))
GCJ_DEP_VER := gcj-$(GCJ_VER)-doc (>= $(DOC_VER_$(GCJ_VER)))

uppercase = $(shell echo $(x) | tr a-z A-Z)
sedcmd1 = s/%$(uppercase)_DEP_VER%/$($(uppercase)_DEP_VER)/g;
SEDCMD1 := $(foreach x,$(BASES),$(sedcmd1))
sedcmd2 = s/%$(uppercase)_VER%/$($(uppercase)_VER)/g;
SEDCMD2 := $(foreach x,$(BASES),$(sedcmd2))


debian/control:
	dh_testdir
	sed '$(SEDCMD1)' < debian/control.in > debian/control

$(GENFILES): % : %.in
	dh_testdir
	sed '$(SEDCMD2)' < $< > $@

build: debian/control $(GENFILES)

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

clean:
	dh_testdir
	dh_testroot
	rm -f $(GENFILES)
	dh_clean


binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a -A debian/README
	dh_installchangelogs -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: build install

binary: binary-indep binary-arch

.PHONY: build install clean binary-indep binary-arch binary \
	debian/control $(GENFILES)
