## gcc-doc-defaults 3

=== debian/changelog ===
gcc-doc-defaults (5:3) unstable; urgency=low

  * Make all symlinks to point to 4.4 versions.
  * Set source/format to '3.0 (native)'. 

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 03 May 2010 00:47:03 +0400
