=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: gcc-doc
 Architecture: any
-Depends: gcc-4.3-doc (>= 4.3.0.nf1-1)
+Depends: gcc-4.4-doc (>= 4.4.4.nf1-1), ${misc:Depends}
 Conflicts: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
 Description: documentation for the GNU compilers (gcc, gobjc, g++)
  This is the dependency package that should install manual pages
@@ -19,7 +19,7 @@
 
 Package: cpp-doc
 Architecture: any
-Depends: cpp-4.3-doc (>= 4.3.0.nf1-1)
+Depends: cpp-4.4-doc (>= 4.4.4.nf1-1), ${misc:Depends}
 Conflicts: cpp (<< 4:4.1.1-7)
 Description: documentation for the GNU C preprocessor (cpp)
  This is the dependency package that should install manual page
@@ -29,7 +29,7 @@
 
 Package: gfortran-doc
 Architecture: any
-Depends: gfortran-4.3-doc (>= 4.3.0.nf1-1)
+Depends: gfortran-4.4-doc (>= 4.4.4.nf1-1), ${misc:Depends}
 Conflicts: gfortran (<< 4:4.1.1-7)
 Description: documentation for the GNU Fortran Compiler (gfortran)
  This is the dependency package that should install manual page
@@ -39,7 +39,7 @@
 
 Package: gnat-doc
 Architecture: any
-Depends: gnat-4.3-doc (>= 4.3.0.nf1-1)
+Depends: gnat-4.4-doc (>= 4.4.4.nf1-1), ${misc:Depends}
 Description: documentation for the GNU Ada Compiler (gnat)
  This is the dependency package that should install documentation
  for Debian default version of GNU Ada compiler.
@@ -48,7 +48,7 @@
 
 Package: gcj-doc
 Architecture: any
-Depends: gcj-4.3-doc (>= 4.3.0.nf1-1)
+Depends: gcj-4.4-doc (>= 4.4.4.nf1-1), ${misc:Depends}
 Replaces: gcj (<< 4:4.3.1-2)
 Description: documentation for the GNU Java tools (gcj, gij)
  This is the dependency package that should install documentation
