=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,15 @@
 #!/usr/bin/make -f
 
-DOC_VER_4.2 := 4.2.4.nf1-3
-DOC_VER_4.3 := 4.3.0.nf1-1
+DOC_VER_4.4 := 4.4.4.nf1-1
 
 BASES := cpp gcc gfortran gnat gcj
 GENFILES := $(patsubst %,debian/%-doc.links, $(BASES))
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
-CPP_VER := 4.2
-GCC_VER := 4.2
-else
-CPP_VER := 4.3
-GCC_VER := 4.3
-endif
-GFORTRAN_VER := 4.3
-GNAT_VER := 4.3
-GCJ_VER := 4.3
+CPP_VER := 4.4
+GCC_VER := 4.4
+GFORTRAN_VER := 4.4
+GNAT_VER := 4.4
+GCJ_VER := 4.4
 
 CPP_DEP_VER := cpp-$(CPP_VER)-doc (>= $(DOC_VER_$(CPP_VER)))
 GCC_DEP_VER := gcc-$(GCC_VER)-doc (>= $(DOC_VER_$(GCC_VER)))
