## gcc-doc-defaults 4

=== debian/changelog ===
gcc-doc-defaults (5:4) unstable; urgency=low

  * Updated defaults to 4.6 and 4.7 versions. (Closes: #618351,
    #651290, #684082)
  * debian/rules:
    - choose default version based on symlinks provided by gcc-defaults.
    - added targets: build-arch, build-dep.
  * debian/control(.in):
    - Bumped policy version to 3.9.4.
    - Added myself to uploaders.
    - Added git repo urls in Vcs-*.
    - Build-dep on cpp, gfortran, gnat, gcj-jdk for getting default
      versions at build-time.
    - Use replaces and breaks to overwrite files in older packages, instead of
      conflicts.
    - Added Homepage field.
  * Use "set -e" in *.preinst scripts.
  * Added lintian override files:
    - for arch-dependent document packages,
    - for symlinks to files in other packages.
  * Improved README.

  [ Sponsor Steffen Moeller ]
  * Added DMUA flag for Guo Yixuan.

 -- Guo Yixuan <culu.gyx@gmail.com>  Thu, 04 Oct 2012 11:19:36 +0800
