=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,22 @@
 #!/usr/bin/make -f
 
-DOC_VER_4.4 := 4.4.4.nf1-1
+DOC_VER_4.4 := 4.4.7-1
+DOC_VER_4.6 := 4.6.3-1
+DOC_VER_4.7 := 4.7.2-1
 
 BASES := cpp gcc gfortran gnat gcj
 GENFILES := $(patsubst %,debian/%-doc.links, $(BASES))
 
-CPP_VER := 4.4
-GCC_VER := 4.4
-GFORTRAN_VER := 4.4
-GNAT_VER := 4.4
-GCJ_VER := 4.4
+# get default version by symlinks, eg. /usr/bin/gcc -> gcc-4.7
+PREFIX_BIN := /usr/bin/
+get_default_version = $(shell bash -c 'readlink `type -P $(PREFIX_BIN)$(1)`|perl -pe "s/^.*-//"')
+
+# default versions depend on arch
+CPP_VER      := $(call get_default_version,cpp)
+GCC_VER      := $(call get_default_version,gcc)
+GFORTRAN_VER := $(call get_default_version,gfortran)
+GNAT_VER     := $(call get_default_version,gnatgcc)
+GCJ_VER      := $(call get_default_version,gcj)
 
 CPP_DEP_VER := cpp-$(CPP_VER)-doc (>= $(DOC_VER_$(CPP_VER)))
 GCC_DEP_VER := gcc-$(GCC_VER)-doc (>= $(DOC_VER_$(GCC_VER)))
@@ -34,6 +41,10 @@
 
 build: debian/control $(GENFILES)
 
+build-arch: build
+
+build-indep:
+
 install: build
 	dh_testdir
 	dh_testroot
@@ -52,6 +63,7 @@
 	dh_testroot
 	dh_installdocs -a -A debian/README
 	dh_installchangelogs -a
+	dh_lintian -a
 	dh_link -a
 	dh_compress -a
 	dh_fixperms -a
@@ -64,5 +76,13 @@
 
 binary: binary-indep binary-arch
 
+# debug helper
+show-versions:
+	# cpp       $(CPP_VER)
+	# gcc       $(GCC_VER)
+	# gfortran  $(GFORTRAN_VER)
+	# gnat      $(GNAT_VER)
+	# gcj       $(GCJ_VER)
+
 .PHONY: build install clean binary-indep binary-arch binary \
-	debian/control $(GENFILES)
+	debian/control $(GENFILES) show-versions
