## gcc-doc-defaults 4.1.1.nf3

=== debian/control ===
Source: gcc-doc-defaults
Section: contrib/doc
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders:
 Nikita V. Youshchenko <yoush@debian.org>
Build-Depends-Indep: debhelper (>> 5)
Build-Depends: debhelper (>> 5)
Standards-Version: 3.7.2

Package: gcc-doc
Architecture: all
Depends: gcc-4.1-doc (>= 4.1.1-nf0)
Conflicts: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
Description: documentation for the GNU compilers (gcc, gobjc, g++)
 This is the dependency package that should install manual pages
 and documentation for Debian default version of GNU compilers.
 .
 This documentation is available from non-free part of Debian archive.

Package: cpp-doc
Architecture: all
Depends: cpp-4.1-doc (>= 4.1.1-nf0)
Conflicts: cpp (<< 4:4.1.1-7)
Description: documentation for the GNU C preprocessor (cpp)
 This is the dependency package that should install manual page
 and documentation for Debian default version of GNU C preprocessor.
 .
 This documentation is available from non-free part of Debian archive.

Package: gfortran-doc
Architecture: all
Depends: gfortran-4.1-doc (>= 4.1.1-nf0)
Conflicts: gfortran (<< 4:4.1.1-7)
Description: documentation for the GNU Fortran Compiler (gfortran)
 This is the dependency package that should install manual page
 and documentation for Debian default version of GNU Fortran compiler.
 .
 This documentation is available from non-free part of Debian archive.

Package: treelang-doc
Architecture: all
Depends: treelang-4.1-doc (>= 4.1.1-nf0)
Description: documentation for the GNU Treelang
 This is the dependency package that should install documentation
 for Debian default version of GNU Treelang compiler.
 .
 This documentation is available from non-free part of Debian archive.
