=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=5

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean


binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i -A debian/README
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build install clean binary-indep binary-arch binary
