## gcc-doc-defaults 13

=== debian/changelog ===
gcc-doc-defaults (5:13) unstable; urgency=medium

  * Properly limit archs for gccgo-doc.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 04 Oct 2014 17:10:42 -0400

gcc-doc-defaults (5:12) unstable; urgency=medium

  * Limit archs for build-dep on gccgo.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 13 Sep 2014 22:03:37 -0400

gcc-doc-defaults (5:11) unstable; urgency=medium

  * Limit archs for gccgo-doc, as gccgo is not available
    everywhere.
  * Update binary package versions.
  * 4.9 branch default to 4.9.1.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 13 Sep 2014 16:29:13 -0400

gcc-doc-defaults (5:10) unstable; urgency=medium

  * New package: gccgo-doc. (Closes: #751247)
  * Updated 4.7 branch to 4.7.4.
  * Updated debian/copyright.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Mon, 23 Jun 2014 15:46:49 -0400

gcc-doc-defaults (5:9) unstable; urgency=medium

  * Updated 4.8 branch to 4.8.3.
  * Rebuild to sync with gcc-defaults, default to 4.9 on most
    architectures. (Closes: #752249)

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sun, 22 Jun 2014 14:23:17 -0400

gcc-doc-defaults (5:8) unstable; urgency=medium

  * Removed Nikita from uploaders.
  * Updated README.
  * Added README.source.
  * Preparation for the transition to 4.9.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Tue, 20 May 2014 22:32:55 -0400

gcc-doc-defaults (5:7) unstable; urgency=medium

  * Added texinfo to build-deps.
  * Removed an old lintian override for gnat-doc.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sun, 02 Mar 2014 23:01:52 -0500

gcc-doc-defaults (5:6) unstable; urgency=medium

  * Use dummy info files (with direntry) instead of symlinks for
    info(1) to find the correct version. (Closes: #718514)
  * Bumped policy version to 3.9.5, no changes needed.
  * Bumped debhelper compatibility level to 9, and simplified
    debian/rules.
  * Updated dependency versions.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sun, 02 Mar 2014 22:35:26 -0500

gcc-doc-defaults (5:5) unstable; urgency=low

  * Uploading to reflect new default versions. (Closes: #723895)
  * debian/control:
    - Removed DMUA flag (deprecated). (Closes: #691476)
    - Updated Vcs fields.
    - Updated my uid in Uploaders.
  * Updated debian/copyright.
  * debian/rules:
    - Added gcc-doc-base package, moved from src:gcc-doc-x.y.
    - Changed version scheme: using gcc version as part of of binary package
      versions.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Thu, 24 Oct 2013 21:54:11 -0400
