=== debian/control ===
Source: gcc-doc-defaults
Section: contrib/doc
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders:
 Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
Build-Depends: debhelper (>= 9),
 cpp, gfortran, gnat, gcj-jdk,
 gccgo [amd64 arm64 armel armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el s390 s390x x32],
 texinfo
Standards-Version: 3.9.5
Homepage: http://gcc.gnu.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/yixuan-guest/gcc-doc-defaults.git
Vcs-Git: git://anonscm.debian.org/users/yixuan-guest/gcc-doc-defaults.git

Package: gcc-doc
Architecture: any
Depends: gcc-4.9-doc (>= 4.9.1-2), ${misc:Depends}
Replaces: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
Breaks: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
Description: documentation for the GNU compilers (gcc, gobjc, g++)
 This is the dependency package that should install manual pages
 and documentation for Debian default version of GNU compilers.
 .
 This documentation is available from non-free part of Debian archive.

Package: cpp-doc
Architecture: any
Depends: cpp-4.9-doc (>= 4.9.1-2), ${misc:Depends}
Replaces: cpp (<< 4:4.1.1-7)
Breaks: cpp (<< 4:4.1.1-7)
Description: documentation for the GNU C preprocessor (cpp)
 This is the dependency package that should install manual page
 and documentation for Debian default version of GNU C preprocessor.
 .
 This documentation is available from non-free part of Debian archive.

Package: gfortran-doc
Architecture: any
Depends: gfortran-4.9-doc (>= 4.9.1-2), ${misc:Depends}
Replaces: gfortran (<< 4:4.1.1-7)
Breaks: gfortran (<< 4:4.1.1-7)
Description: documentation for the GNU Fortran Compiler (gfortran)
 This is the dependency package that should install manual page
 and documentation for Debian default version of GNU Fortran compiler.
 .
 This documentation is available from non-free part of Debian archive.

Package: gnat-doc
Architecture: any
Depends: gnat-4.9-doc (>= 4.9.1-2), ${misc:Depends}
Description: documentation for the GNU Ada Compiler (gnat)
 This is the dependency package that should install documentation
 for Debian default version of GNU Ada compiler.
 .
 This documentation is available from non-free part of Debian archive.

Package: gcj-doc
Architecture: any
Depends: gcj-4.9-doc (>= 4.9.1-2), ${misc:Depends}
Replaces: gcj (<< 4:4.3.1-2)
Breaks: gcj (<< 4:4.3.1-2)
Description: documentation for the GNU Java tools (gcj, gij)
 This is the dependency package that should install documentation
 for Debian default version of GNU Java tools.
 .
 This documentation is available from non-free part of Debian archive.

Package: gccgo-doc
Architecture: amd64 arm64 armel armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el s390 s390x x32
Depends: gccgo-4.9-doc (>= 4.9.1-2), ${misc:Depends}
Description: documentation for the GNU Go compiler (gccgo)
 This is the dependency package that should install documentation
 for Debian default version of GNU Go compiler.
 .
 This documentation is available from non-free part of Debian archive.

Package: gcc-doc-base
Architecture: all
Depends: ${misc:Depends}
Description: several GNU manual pages
 This package provides gfdl.7, gpl.7, and fsf-funding.7 manual pages,
 which should be available together with gcc man pages to fit
 GNU Free Documentation License requirements.
