## gcc-doc-defaults 15

=== debian/changelog ===
gcc-doc-defaults (5:15) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dmitry Eremin-Solenikov ]
  * Updated to 6.1 versions. (Closes: #794778, #833505)

  [ Paul Wise ]
  * Switch from gnatgcc to gnat for version determination due to #839209
    (Closes: #825320)

 -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Wed, 07 Sep 2016 23:48:17 +0300

gcc-doc-defaults (5:14) unstable; urgency=medium

  * Updated gcc/doc/ with upstream 4.9.1.
  * debian/rules: include architecture.mk to set variables explicitly.
  * Updated go_archs.
  * Updated 4.8/4.9 versions.
  * Set package version automatically.
  * Bumped standard version to 3.9.6.
  * Use both symlinks and direntry for compatibility with info/emacs. (Closes:
    #778799)

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Tue, 05 May 2015 16:42:57 -0400
