=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Uploaders:
  Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
 Build-Depends: debhelper (>= 9),
+ dpkg-dev (>= 1.16.1),
  cpp, gfortran, gnat, gcj-jdk,
- gccgo [amd64 arm64 armel armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el s390 s390x x32],
+ gccgo [amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390 s390x x32],
  texinfo
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://gcc.gnu.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/yixuan-guest/gcc-doc-defaults.git
 Vcs-Git: git://anonscm.debian.org/users/yixuan-guest/gcc-doc-defaults.git
 
 Package: gcc-doc
 Architecture: any
-Depends: gcc-4.9-doc (>= 4.9.1-2), ${misc:Depends}
+Depends: gcc-6-doc (>= 6.1.0-1~), ${misc:Depends}
 Replaces: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
 Breaks: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
 Description: documentation for the GNU compilers (gcc, gobjc, g++)
@@ -26,7 +27,7 @@
 
 Package: cpp-doc
 Architecture: any
-Depends: cpp-4.9-doc (>= 4.9.1-2), ${misc:Depends}
+Depends: cpp-6-doc (>= 6.1.0-1~), ${misc:Depends}
 Replaces: cpp (<< 4:4.1.1-7)
 Breaks: cpp (<< 4:4.1.1-7)
 Description: documentation for the GNU C preprocessor (cpp)
@@ -37,7 +38,7 @@
 
 Package: gfortran-doc
 Architecture: any
-Depends: gfortran-4.9-doc (>= 4.9.1-2), ${misc:Depends}
+Depends: gfortran-6-doc (>= 6.1.0-1~), ${misc:Depends}
 Replaces: gfortran (<< 4:4.1.1-7)
 Breaks: gfortran (<< 4:4.1.1-7)
 Description: documentation for the GNU Fortran Compiler (gfortran)
@@ -48,7 +49,7 @@
 
 Package: gnat-doc
 Architecture: any
-Depends: gnat-4.9-doc (>= 4.9.1-2), ${misc:Depends}
+Depends: gnat-6-doc (>= 6.1.0-1~), ${misc:Depends}
 Description: documentation for the GNU Ada Compiler (gnat)
  This is the dependency package that should install documentation
  for Debian default version of GNU Ada compiler.
@@ -57,7 +58,7 @@
 
 Package: gcj-doc
 Architecture: any
-Depends: gcj-4.9-doc (>= 4.9.1-2), ${misc:Depends}
+Depends: gcj-6-doc (>= 6.1.0-1~), ${misc:Depends}
 Replaces: gcj (<< 4:4.3.1-2)
 Breaks: gcj (<< 4:4.3.1-2)
 Description: documentation for the GNU Java tools (gcj, gij)
@@ -67,8 +68,8 @@
  This documentation is available from non-free part of Debian archive.
 
 Package: gccgo-doc
-Architecture: amd64 arm64 armel armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el s390 s390x x32
-Depends: gccgo-4.9-doc (>= 4.9.1-2), ${misc:Depends}
+Architecture: amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390 s390x x32
+Depends: gccgo-6-doc (>= 6.1.0-1~), ${misc:Depends}
 Description: documentation for the GNU Go compiler (gccgo)
  This is the dependency package that should install documentation
  for Debian default version of GNU Go compiler.
