=== debian/rules ===
--- 
+++ 
@@ -1,27 +1,48 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 # uncomment for debugging
 # export DH_VERBOSE=1
 
 # The version for gcc-x.y-doc, used in "Depends:" field.
-DOC_VER_4.4 := 4.4.7-4
-DOC_VER_4.6 := 4.6.4-3
-DOC_VER_4.7 := 4.7.4-1
-DOC_VER_4.8 := 4.8.3-1
-DOC_VER_4.9 := 4.9.1-2
+DOC_VER_4.4 := 4.4.7-4~
+DOC_VER_4.6 := 4.6.4-3~
+DOC_VER_4.7 := 4.7.4-1~
+DOC_VER_4.8 := 4.8.4-1~
+DOC_VER_4.9 := 4.9.2-1~
+DOC_VER_5   := 5.1.0-1~
+DOC_VER_6   := 6.1.0-1~
 
 # The version for binary packages: gcc-doc-base, gcc-doc, etc.
-# This should be updated for every upload.
-DEBIAN_EPOCH := 5
-PKG_VER_4.4 := 4.4.7-9
-PKG_VER_4.6 := 4.6.4-8
-PKG_VER_4.7 := 4.7.4-4
-PKG_VER_4.8 := 4.8.3-5
-PKG_VER_4.9 := 4.9.1-3
-PKG_VER_BASE := $(PKG_VER_4.8)
+# Automatic set debian revision, adapted from gcc-defaults' rules.
 
-# gccgo doesn't exist on all archs
-go_archs = amd64 arm64 armel armhf i386 ia64 mips mipsel \
+VDEF         := $(strip $(shell dpkg-parsechangelog | awk -F' ' '/^Version:/ {print $$NF}'))
+VMAJOR       := $(shell echo $(VDEF) | awk -F: '{print $$2}')
+#DEBIAN_EPOCH := 5
+DEBIAN_EPOCH := $(shell echo $(VDEF) | awk -F: '{print $$1}')
+
+#PKG_VER_4.4 := 4.4.7-10
+#PKG_VER_4.6 := 4.6.4-9
+#PKG_VER_4.7 := 4.7.4-5
+#PKG_VER_4.8 := 4.8.4-1
+#PKG_VER_4.9 := 4.9.2-1
+#PKG_VER_5   := 5.1.0-1
+#PKG_VER_6   := 6.1.0-1
+
+PKG_VER_4.4 := 4.4.7-$(shell expr $(VMAJOR) - 5)
+PKG_VER_4.6 := 4.6.4-$(shell expr $(VMAJOR) - 6)
+PKG_VER_4.7 := 4.7.4-$(shell expr $(VMAJOR) - 10)
+PKG_VER_4.8 := 4.8.4-$(shell expr $(VMAJOR) - 14)
+PKG_VER_4.9 := 4.9.2-$(shell expr $(VMAJOR) - 14)
+PKG_VER_5   := 5.1.0-$(shell expr $(VMAJOR) - 14)
+PKG_VER_6   := 6.1.0-$(shell expr $(VMAJOR) - 14)
+
+#PKG_VER_BASE := $(PKG_VER_4.9)
+PKG_VER_BASE := $(PKG_VER_6)
+
+# Keep in sync with gcc-defaults, gccgo doesn't exist on all archs
+go_archs = amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel \
 	   powerpc ppc64 ppc64el s390 s390x x32
 
 no_packages :=
@@ -36,7 +57,7 @@
 # Some stub info files, with direntry but no real content, for
 # info(1) to work.
 GENFILES += $(patsubst %,info/%.texi, $(BASES))
-GENFILES_INFO := $(patsubst %,info/%.info, $(BASES))
+GENFILES_INFO := $(patsubst %,info/%-default.info, $(BASES))
 
 # get default version by symlinks, eg. /usr/bin/gcc -> gcc-4.7
 PREFIX_BIN := /usr/bin/
@@ -46,7 +67,7 @@
 CPP_VER      := $(call get_default_version,cpp)
 GCC_VER      := $(call get_default_version,gcc)
 GFORTRAN_VER := $(call get_default_version,gfortran)
-GNAT_VER     := $(call get_default_version,gnatgcc)
+GNAT_VER     := $(call get_default_version,gnat)
 GCJ_VER      := $(call get_default_version,gcj)
 ifneq (,$(filter $(DEB_HOST_ARCH),$(go_archs)))
   GCCGO_VER    := $(call get_default_version,gccgo)
@@ -90,7 +111,7 @@
 	dh_testdir
 	sed '$(SEDCMD2)' < $< > $@
 
-$(GENFILES_INFO): %.info : %.texi
+$(GENFILES_INFO): %-default.info : %.texi
 	dh_testdir
 	makeinfo $< -o $@
 
@@ -129,11 +150,21 @@
 
 # debug helper
 show-versions:
+	# VDEF      <$(VDEF)>
+	# EPOCH     <$(DEBIAN_EPOCH)>
+	# VMAJOR    <$(VMAJOR)>
 	# cpp       $(CPP_VER)
 	# gcc       $(GCC_VER)
 	# gfortran  $(GFORTRAN_VER)
 	# gnat      $(GNAT_VER)
 	# gcj       $(GCJ_VER)
 	# gccgo     $(GCCGO_VER)
+	# pkg-ver   $(PKG_VER_4.4)
+	# pkg-ver   $(PKG_VER_4.6)
+	# pkg-ver   $(PKG_VER_4.7)
+	# pkg-ver   $(PKG_VER_4.8)
+	# pkg-ver   $(PKG_VER_4.9)
+	# pkg-ver   $(PKG_VER_5)
+	# pkg-ver   $(PKG_VER_6)
 
 .PHONY: show-versions
