## gcc-doc-defaults 17.1

=== debian/changelog ===
gcc-doc-defaults (5:17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop building gcj-doc. Closes: #892535.
  * Still point gccgo-doc to the GCC 7 docs, docs for GCC 8 are not yet packaged.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Apr 2018 19:03:33 +0200

gcc-doc-defaults (5:17) unstable; urgency=medium

  * Added support for gcc-7. (Closes: #871220)
  * Use 6.4.0 as default for gcc-6.
  * Updated manpages.
  * Bumped standard version to 4.0.0, no changes needed.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Tue, 22 Aug 2017 22:53:48 -0400

gcc-doc-defaults (5:16) unstable; urgency=medium

  * Acknowledge NMU, thanks Dmitry and Paul.
  * Updated to 6.3 versions.
  * Added manpage symlinks for gcov-dump/gcov-tool.
  * Added info direntry for gcov-dump/gcov-tool.
  * Updated Vcs links.
  * Update copyright file.
  * Bumped standard version to 3.9.8, no changes needed.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Thu, 20 Apr 2017 20:42:27 -0400
