=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,14 @@
 DOC_VER_4.8 := 4.8.4-1~
 DOC_VER_4.9 := 4.9.2-1~
 DOC_VER_5   := 5.1.0-1~
-DOC_VER_6   := 6.1.0-1~
+DOC_VER_6   := 6.4.0-1~
+DOC_VER_7   := 7.2.0-1~
 
 # The version for binary packages: gcc-doc-base, gcc-doc, etc.
 # Automatic set debian revision, adapted from gcc-defaults' rules.
 
 VDEF         := $(strip $(shell dpkg-parsechangelog | awk -F' ' '/^Version:/ {print $$NF}'))
-VMAJOR       := $(shell echo $(VDEF) | awk -F: '{print $$2}')
+VMAJOR       := $(shell echo $(VDEF) | awk -F: '{print $$2}' | awk -F. '{print $$1}')
 #DEBIAN_EPOCH := 5
 DEBIAN_EPOCH := $(shell echo $(VDEF) | awk -F: '{print $$1}')
 
@@ -36,14 +37,17 @@
 PKG_VER_4.8 := 4.8.4-$(shell expr $(VMAJOR) - 14)
 PKG_VER_4.9 := 4.9.2-$(shell expr $(VMAJOR) - 14)
 PKG_VER_5   := 5.1.0-$(shell expr $(VMAJOR) - 14)
-PKG_VER_6   := 6.1.0-$(shell expr $(VMAJOR) - 14)
+PKG_VER_6   := 6.4.0-$(shell expr $(VMAJOR) - 16)
+PKG_VER_7   := 7.2.0-$(shell expr $(VMAJOR) - 16)
+PKG_VER_7   := 7.2.0-$(shell expr $(VMAJOR) - 15)
 
 #PKG_VER_BASE := $(PKG_VER_4.9)
-PKG_VER_BASE := $(PKG_VER_6)
+PKG_VER_BASE := $(PKG_VER_7)
 
 # Keep in sync with gcc-defaults, gccgo doesn't exist on all archs
-go_archs = amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel \
-	   powerpc ppc64 ppc64el s390 s390x x32
+go_archs = alpha amd64 arm64 armel armhf i386 ia64 \
+        mips mips64 mips64el mipsel \
+        powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32
 
 no_packages :=
 ifeq (,$(filter $(DEB_HOST_ARCH),$(go_archs)))
@@ -68,9 +72,10 @@
 GCC_VER      := $(call get_default_version,gcc)
 GFORTRAN_VER := $(call get_default_version,gfortran)
 GNAT_VER     := $(call get_default_version,gnat)
-GCJ_VER      := $(call get_default_version,gcj)
 ifneq (,$(filter $(DEB_HOST_ARCH),$(go_archs)))
   GCCGO_VER    := $(call get_default_version,gccgo)
+  # FIXME: docs for 8 are not yet packaged
+  GCCGO_VER    := $(GCC_VER)
 endif
 
 CPP_DEP_VER := cpp-$(CPP_VER)-doc (>= $(DOC_VER_$(CPP_VER)))
@@ -80,6 +85,8 @@
 GCJ_DEP_VER := gcj-$(GCJ_VER)-doc (>= $(DOC_VER_$(GCJ_VER)))
 ifneq (,$(filter $(DEB_HOST_ARCH),$(go_archs)))
   GCCGO_DEP_VER := gccgo-$(GCCGO_VER)-doc (>= $(DOC_VER_$(GCCGO_VER)))
+  # FIXME: docs for 8 are not yet packaged
+  GCCGO_DEP_VER := $(GCC_DEP_VER)
 endif
 
 # for substitution in control.in, *-doc.links
