## gcc-doc-defaults 18~bpo10+1

=== debian/changelog ===
gcc-doc-defaults (5:18~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Tue, 30 Jul 2019 18:35:40 +0300

gcc-doc-defaults (5:18) unstable; urgency=medium

  * New uploader.
  * Thanks to Guo Yixuan for his work on this package.
  * Support proper NMU package versioning.
  * Build gcc-8 docs (Closes: #905022)
  * Bumped standard version to 4.3.0, no changes needed.
  * Point VCS-* tags to salsa.d.o

 -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Wed, 03 Jul 2019 17:12:20 +0300
