=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders:
- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
+ Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
 Build-Depends: debhelper (>= 9),
  dpkg-dev (>= 1.16.1),
  cpp, gfortran, gnat,
  gccgo [alpha amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
  texinfo
-Standards-Version: 4.0.0
+Standards-Version: 4.3.0
 Homepage: http://gcc.gnu.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/yixuan-guest/gcc-doc-defaults.git
-Vcs-Git: https://alioth.debian.org/anonscm/git/users/yixuan-guest/gcc-doc-defaults.git
+Vcs-Browser: https://salsa.debian.org/lumag-guest/gcc-doc-defaults
+Vcs-Git: https://salsa.debian.org/lumag-guest/gcc-doc-defaults.git -b debian/8
 
 Package: gcc-doc
 Architecture: any
-Depends: gcc-7-doc (>= 7.2.0-1~), ${misc:Depends}
+Depends: gcc-8-doc (>= 8.3.0-1~), ${misc:Depends}
 Replaces: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
 Breaks: gcc (<< 4:4.1.1-7), g++ (<< 4:4.1.1-7)
 Description: documentation for the GNU compilers (gcc, gobjc, g++)
@@ -27,7 +27,7 @@
 
 Package: cpp-doc
 Architecture: any
-Depends: cpp-7-doc (>= 7.2.0-1~), ${misc:Depends}
+Depends: cpp-8-doc (>= 8.3.0-1~), ${misc:Depends}
 Replaces: cpp (<< 4:4.1.1-7)
 Breaks: cpp (<< 4:4.1.1-7)
 Description: documentation for the GNU C preprocessor (cpp)
@@ -38,7 +38,7 @@
 
 Package: gfortran-doc
 Architecture: any
-Depends: gfortran-7-doc (>= 7.2.0-1~), ${misc:Depends}
+Depends: gfortran-8-doc (>= 8.3.0-1~), ${misc:Depends}
 Replaces: gfortran (<< 4:4.1.1-7)
 Breaks: gfortran (<< 4:4.1.1-7)
 Description: documentation for the GNU Fortran Compiler (gfortran)
@@ -49,7 +49,7 @@
 
 Package: gnat-doc
 Architecture: any
-Depends: gnat-7-doc (>= 7.2.0-1~), ${misc:Depends}
+Depends: gnat-8-doc (>= 8.3.0-1~), ${misc:Depends}
 Description: documentation for the GNU Ada Compiler (gnat)
  This is the dependency package that should install documentation
  for Debian default version of GNU Ada compiler.
@@ -58,7 +58,7 @@
 
 Package: gccgo-doc
 Architecture: alpha amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32
-Depends: gcc-7-doc (>= 7.2.0-1~), ${misc:Depends}
+Depends: gccgo-8-doc (>= 8.3.0-1~), ${misc:Depends}
 Description: documentation for the GNU Go compiler (gccgo)
  This is the dependency package that should install documentation
  for Debian default version of GNU Go compiler.
