=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,16 @@
 DOC_VER_5   := 5.1.0-1~
 DOC_VER_6   := 6.4.0-1~
 DOC_VER_7   := 7.2.0-1~
+DOC_VER_8   := 8.3.0-1~
 
 # The version for binary packages: gcc-doc-base, gcc-doc, etc.
 # Automatic set debian revision, adapted from gcc-defaults' rules.
 
 VDEF         := $(strip $(shell dpkg-parsechangelog | awk -F' ' '/^Version:/ {print $$NF}'))
-VMAJOR       := $(shell echo $(VDEF) | awk -F: '{print $$2}' | awk -F. '{print $$1}')
+VMAJOR       := $(shell echo $(VDEF) | sed -e 's/.*:\([0-9]*\).*/\1/g')
+VLOCAL       := $(shell echo $(VDEF) | sed -n -e 's/[^~]*\(~.*\)/\1/;T;p')
 #DEBIAN_EPOCH := 5
-DEBIAN_EPOCH := $(shell echo $(VDEF) | awk -F: '{print $$1}')
+DEBIAN_EPOCH := $(shell echo $(VDEF) | sed -e 's/:.*//g')
 
 #PKG_VER_4.4 := 4.4.7-10
 #PKG_VER_4.6 := 4.6.4-9
@@ -31,18 +33,18 @@
 #PKG_VER_5   := 5.1.0-1
 #PKG_VER_6   := 6.1.0-1
 
-PKG_VER_4.4 := 4.4.7-$(shell expr $(VMAJOR) - 5)
-PKG_VER_4.6 := 4.6.4-$(shell expr $(VMAJOR) - 6)
-PKG_VER_4.7 := 4.7.4-$(shell expr $(VMAJOR) - 10)
-PKG_VER_4.8 := 4.8.4-$(shell expr $(VMAJOR) - 14)
-PKG_VER_4.9 := 4.9.2-$(shell expr $(VMAJOR) - 14)
-PKG_VER_5   := 5.1.0-$(shell expr $(VMAJOR) - 14)
-PKG_VER_6   := 6.4.0-$(shell expr $(VMAJOR) - 16)
-PKG_VER_7   := 7.2.0-$(shell expr $(VMAJOR) - 16)
-PKG_VER_7   := 7.2.0-$(shell expr $(VMAJOR) - 15)
+PKG_VER_4.4 := 4.4.7-$(shell expr $(VMAJOR) - 5)$(VLOCAL)
+PKG_VER_4.6 := 4.6.4-$(shell expr $(VMAJOR) - 6)$(VLOCAL)
+PKG_VER_4.7 := 4.7.4-$(shell expr $(VMAJOR) - 10)$(VLOCAL)
+PKG_VER_4.8 := 4.8.4-$(shell expr $(VMAJOR) - 14)$(VLOCAL)
+PKG_VER_4.9 := 4.9.2-$(shell expr $(VMAJOR) - 14)$(VLOCAL)
+PKG_VER_5   := 5.1.0-$(shell expr $(VMAJOR) - 14)$(VLOCAL)
+PKG_VER_6   := 6.4.0-$(shell expr $(VMAJOR) - 16)$(VLOCAL)
+PKG_VER_7   := 7.2.0-$(shell expr $(VMAJOR) - 15)$(VLOCAL)
+PKG_VER_8   := 8.3.0-$(shell expr $(VMAJOR) - 17)$(VLOCAL)
 
 #PKG_VER_BASE := $(PKG_VER_4.9)
-PKG_VER_BASE := $(PKG_VER_7)
+PKG_VER_BASE := $(PKG_VER_8)
 
 # Keep in sync with gcc-defaults, gccgo doesn't exist on all archs
 go_archs = alpha amd64 arm64 armel armhf i386 ia64 \
@@ -74,8 +76,6 @@
 GNAT_VER     := $(call get_default_version,gnat)
 ifneq (,$(filter $(DEB_HOST_ARCH),$(go_archs)))
   GCCGO_VER    := $(call get_default_version,gccgo)
-  # FIXME: docs for 8 are not yet packaged
-  GCCGO_VER    := $(GCC_VER)
 endif
 
 CPP_DEP_VER := cpp-$(CPP_VER)-doc (>= $(DOC_VER_$(CPP_VER)))
@@ -85,8 +85,6 @@
 GCJ_DEP_VER := gcj-$(GCJ_VER)-doc (>= $(DOC_VER_$(GCJ_VER)))
 ifneq (,$(filter $(DEB_HOST_ARCH),$(go_archs)))
   GCCGO_DEP_VER := gccgo-$(GCCGO_VER)-doc (>= $(DOC_VER_$(GCCGO_VER)))
-  # FIXME: docs for 8 are not yet packaged
-  GCCGO_DEP_VER := $(GCC_DEP_VER)
 endif
 
 # for substitution in control.in, *-doc.links
@@ -160,6 +158,7 @@
 	# VDEF      <$(VDEF)>
 	# EPOCH     <$(DEBIAN_EPOCH)>
 	# VMAJOR    <$(VMAJOR)>
+	# VLOCAL    <$(VLOCAL)>
 	# cpp       $(CPP_VER)
 	# gcc       $(GCC_VER)
 	# gfortran  $(GFORTRAN_VER)
@@ -173,5 +172,7 @@
 	# pkg-ver   $(PKG_VER_4.9)
 	# pkg-ver   $(PKG_VER_5)
 	# pkg-ver   $(PKG_VER_6)
+	# pkg-ver   $(PKG_VER_7)
+	# pkg-ver   $(PKG_VER_8)
 
 .PHONY: show-versions
